## ClutterGstCameraDevice ClutterGstCameraDevice — GObject representing a camera device using GStreamer. |

## Functions

void | clutter_gst_camera_device_get_capture_resolution ()
const gchar * | clutter_gst_camera_device_get_name ()
const gchar * | clutter_gst_camera_device_get_node ()
const GPtrArray * | clutter_gst_camera_device_get_supported_resolutions ()
void | clutter_gst_camera_device_set_capture_resolution ()

## Properties

GstElementFactory * | element-factory | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only
gchar * | node | Read / Write / Construct Only

## Signals

void | capture-resolution-changed | Run Last

## Types and Values

struct | ClutterGstCameraDevice
struct | ClutterGstCameraDeviceClass

## Object Hierarchy

        GObject
        ╰── ClutterGstCameraDevice

## Description

ClutterGstCameraDevice is a GObject representing a camera device using GStreamer.

## Functions

### clutter_gst_camera_device_get_capture_resolution ()

    void
    clutter_gst_camera_device_get_capture_resolution
                                   (ClutterGstCameraDevice *device,
                                    gint *width,
                                    gint *height);

Retrieve the current capture resolution being used by `device` .

#### Parameters

device | a ClutterGstCameraDevice |
width | Pointer to store the current capture resolution width. | [out]
height | Pointer to store the current capture resolution height. | [out]

### clutter_gst_camera_device_get_name ()

    const gchar *
    clutter_gst_camera_device_get_name (ClutterGstCameraDevice *device);

Retrieve the name of the `device` .

#### Parameters

device | a ClutterGstCameraDevice |

#### Returns

the device name.

[transfer none]

### clutter_gst_camera_device_get_node ()

    const gchar *
    clutter_gst_camera_device_get_node (ClutterGstCameraDevice *device);

Retrieve the node (location) of the `device` .

#### Parameters

device | a ClutterGstCameraDevice |

#### Returns

the device node.

[transfer none]

### clutter_gst_camera_device_get_supported_resolutions ()

    const GPtrArray *
    clutter_gst_camera_device_get_supported_resolutions
                                   (ClutterGstCameraDevice *device);

Retrieve the supported resolutions of the `device` .

#### Parameters

device | a ClutterGstCameraDevice |

#### Returns

an array of ClutterGstVideoResolution with the supported resolutions.

[transfer none][element-type ClutterGst.VideoResolution]

### clutter_gst_camera_device_set_capture_resolution ()

    void
    clutter_gst_camera_device_set_capture_resolution
                                   (ClutterGstCameraDevice *device,
                                    gint width,
                                    gint height);

Set the capture resolution to be used by `device` .

#### Parameters

device | a ClutterGstCameraDevice |
width | The new capture resolution width to use |
height | The new capture resolution height to use |

## Types and Values

### struct ClutterGstCameraDevice

    struct ClutterGstCameraDevice;

GObject representing a camera device using GStreamer.

The ClutterGstCameraDevice structure contains only private data and should not be accessed directly.

### struct ClutterGstCameraDeviceClass

    struct ClutterGstCameraDeviceClass {
    };

Base class for ClutterGstCameraDevice.

## Property Details

### The `“element-factory”` property

      “element-factory”          GstElementFactory *

The GstElementFactory for this device.

Flags: Read / Write / Construct Only

### The `“name”` property

      “name”                     gchar *

The device name.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“node”` property

      “node”                     gchar *

The device node.

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“capture-resolution-changed”` signal

    void
    user_function (ClutterGstCameraDevice *device,
                   gint                    width,
                   gint                    height,
                   gpointer                user_data)

The ::capture-resolution-changed signal is emitted whenever the value of clutter_gst_camera_device_get_capture_resolution changes.

#### Parameters

device | the device which received the signal |
width | The new width |
height | The new height |
user_data | user data set when the signal handler was connected. |

Flags: Run Last